detekt-api
1.21.0-RC2

# RuleSetProvider

interface RuleSetProvider
Content copied to clipboard

A rule set provider, as the name states, is responsible for creating rule sets.

When writing own rule set providers make sure to register them according the ServiceLoader documentation. http://docs.oracle.com/javase/8/docs/api/java/util/ServiceLoader.html

## Functions

instance
Link copied to clipboard
abstract fun instance (config: Config ): RuleSet
Content copied to clipboard

This function must be implemented to provide custom rule sets. Make sure to pass the configuration to each rule to allow rules to be self configurable.

## Properties

ruleSetId
Link copied to clipboard
abstract val ruleSetId : String
Content copied to clipboard

Every rule set must be pre-configured with an ID to validate if this rule set must be created for current analysis.

## Inheritors

DefaultRuleSetProvider
Link copied to clipboard